Loading...
Searching...
No Matches
openshot::TimelineInfoStruct Struct Reference

This struct contains info about the current Timeline clip instance. More...

`#include <TimelineBase.h>`

## Public Attributes

bool | is_before_clip_keyframes
| Is this before clip keyframes are applied.
bool | is_top_clip
| Is clip on top (if overlapping another clip).

## Detailed Description

This struct contains info about the current Timeline clip instance.

When the Timeline requests an openshot::Frame instance from a Clip, it passes this struct along, with some additional details from the Timeline, such as if this clip is above or below overlapping clips, etc... This info can help determine if a Clip should apply global effects from the Timeline, such as a global Transition/Mask effect.

Definition at line 32 of file TimelineBase.h.

## Member Data Documentation

## is_before_clip_keyframes

bool openshot::TimelineInfoStruct::is_before_clip_keyframes

Is this before clip keyframes are applied.

Definition at line 35 of file TimelineBase.h.

Referenced by openshot::Timeline::apply_effects().

## is_top_clip

bool openshot::TimelineInfoStruct::is_top_clip

Is clip on top (if overlapping another clip).

Definition at line 34 of file TimelineBase.h.

Referenced by openshot::Timeline::apply_effects().

The documentation for this struct was generated from the following file:

- TimelineBase.h